petsc-3.4.2 2013-07-02

# KSPSetTabLevel

Sets the number of tabs that ASCII output for the ksp andn its pc will use.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetTabLevel(KSP ksp, PetscInt tab)

Not Collective

### Input Parameters

| ksp | - a KSP object
| tab | - the number of tabs

Notes: this is used to manage the output from KSP and PC objects that are imbedded in other objects, for example, the KSP object inside a SNES object. By indenting each lower level further the heirarchy of objects is very clear. By setting the KSP object's tab level with KSPSetTabLevel() its PC object automatically receives the same tab level, so that whatever objects the pc might create are tabbed appropriately, too.

### See Also

KSPGetTabLevel()

Level:developer
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages